# Uses of Interface
org.eclipse.core.runtime.IExtensionPoint

Packages that use IExtensionPoint
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.core.runtime.dynamichelpers
Provides helpers to facilitate the authoring of dynamic plug-ins.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IExtensionPoint in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IExtensionPoint
Modifier and Type
Method
Description
`IExtensionPoint`
IExtensionDelta.`getExtensionPoint()`
Returns the affected extension point.
`IExtensionPoint`
IExtensionRegistry.`getExtensionPoint(String extensionPointId)`
Returns the extension point with the given extension point identifier in this extension registry, or `null` if there is no such extension point.
`IExtensionPoint`
IExtensionRegistry.`getExtensionPoint(String namespace, String extensionPointName)`
Returns the extension point in this extension registry with the given namespace and extension point simple identifier, or `null` if there is no such extension point.
`IExtensionPoint[]`
IExtensionRegistry.`getExtensionPoints()`
Returns all extension points known to this extension registry.
`IExtensionPoint[]`
IExtensionRegistry.`getExtensionPoints(String namespace)`
Returns all extension points declared in the given namespace.
`IExtensionPoint[]`
IExtensionRegistry.`getExtensionPoints(IContributor contributor)`
Returns all extension points supplied by the contributor, or `null` if there are no such extension points.
Methods in org.eclipse.core.runtime with parameters of type IExtensionPoint
Modifier and Type
Method
Description
`void`
IRegistryEventListener.`added(IExtensionPoint[] extensionPoints)`
Notifies this listener that extension points were added to the registry.
`void`
IRegistryEventListener.`removed(IExtensionPoint[] extensionPoints)`
Notifies this listener that extension points were removed from the registry.
`boolean`
IExtensionRegistry.`removeExtensionPoint(IExtensionPoint extensionPoint, Object token)`
Removes the specified extension point from this registry.

## Uses of IExtensionPoint in org.eclipse.core.runtime.dynamichelpers

Methods in org.eclipse.core.runtime.dynamichelpers with parameters of type IExtensionPoint
Modifier and Type
Method
Description
`static IFilter`
ExtensionTracker.`createExtensionPointFilter(IExtensionPoint xpt)`
Return an instance of filter matching all changes for the given extension point.
`static IFilter`
ExtensionTracker.`createExtensionPointFilter(IExtensionPoint[] xpts)`
Return an instance of filter matching all changes for the given extension points.
`boolean`
IFilter.`matches(IExtensionPoint target)`
Return `true` if the given object matches the criteria for this filter.

## Uses of IExtensionPoint in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IExtensionPoint
Modifier and Type
Method
Description
`void`
PropertySheet.`added(IExtensionPoint[] extensionPoints)`
`void`
PropertySheet.`removed(IExtensionPoint[] extensionPoints)`